SystemOrganization addCategory: #'Glamour-Tests-EyeSee'!

GLMMorphicTest subclass: #GLMEyeSeeMorphicTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Glamour-Tests-EyeSee'!

!GLMEyeSeeMorphicTest methodsFor: 'tests' stamp: 'TudorGirba 4/21/2011 20:13'!
expectedFailures
	^ #(testUnregisterFromAnnouncementsWhenUpdating)! !

!GLMEyeSeeMorphicTest methodsFor: 'tests' stamp: 'TudorGirba 4/12/2011 11:28'!
testSelection
	| browser canvas |
	browser := GLMTabulator new.
	browser column: #one.
	browser transmit to: #one; andShow: [ :a | 
		a eyesee diagram: [:renderer :input | 
			renderer verticalBarDiagram y: #value; models: (1 to: input)	]].
	window := browser openOn: 42.

	canvas := window submorphs last submorphs first submorphs first submorphs first submorphs first.
	(browser panes first port: #selection) value: 43.
	self assert: (browser panes first port: #selection) value = 43! !

!GLMEyeSeeMorphicTest methodsFor: 'tests' stamp: 'AndreHora 5/4/2011 15:40'!
testSpawn
	| browser canvas |
	browser := GLMTabulator new.
	browser column: #one.
	browser transmit to: #one; andShow: [ :a | 
		a eyesee diagram: [:renderer :input | 
			renderer verticalBarDiagram y: #value; models: (1 to: input) ]].
	window := browser openOn: 42.
	World doOneCycle.
	World doOneCycle.
	World doOneCycle.
	canvas := window submorphs last submorphs first submorphs first submorphs last submorphs first.
	self assert: (canvas isKindOf: ESCanvas).! !

!GLMEyeSeeMorphicTest methodsFor: 'tests' stamp: 'TudorGirba 4/12/2011 11:07'!
testUnregisterFromAnnouncementsWhenUpdating
	| browser announcingCollection numberOfExecutions |
	numberOfExecutions :=0.
	announcingCollection := GLMAnnouncingCollection new.
	browser := GLMTabulator new.
	browser column: #one.
	browser transmit to: #one; andShow: [:a |
		a eyesee 
			updateOn: GLMItemAdded from: [announcingCollection];
			diagram: [:view | numberOfExecutions := numberOfExecutions + 1. view verticalBarDiagram ]].
	window := browser openOn: announcingCollection.
	1 to: 3 do: [:each | announcingCollection add: each.].
	self assert: numberOfExecutions  = 4 "it should not be 8"! !
